> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usebouncer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check status

> Retrieve status of your request based on request id.

Field "credits" will be filled with number of credits used once batch is
complete.

Additional query parameter "with-stats=true" will add to the response
processing progress and statistics.

```json theme={null}

{
    "batchId": "642152127eec9c46c00fb8d7",
    "created": "2023-03-27T08:21:38.357Z",
    "started": "2023-03-27T08:21:40.355Z",
    "completed": "2023-03-27T08:21:51.426Z",
    "status": "completed",
    "quantity": 2,
    "duplicates": 0,
    "credits": 2,
    "processed": 2,
    "stats": {
        "deliverable": 1,
        "risky": 0,
        "undeliverable": 1,
        "unknown": 0
    }
}


```


## OpenAPI

````yaml get /v1.1/email/verify/batch/{batchId}
openapi: 3.0.0
info:
  title: Bouncer
  description: >-
    Bouncer Email Verification API lets you validate email address and verify
    its deliverability, in the way you want.


    It’s easy to integrate, powerful, robust, secure, ultrafast and affordable.


    Let Bouncer handle verification and validation of your email addresses, with
    Real-Time (synchronous), Batch (asynchronous), and a hybrid of those two
    Batch Synchronous end-points.


    If at any time you would need extra support from our side, you can reach us
    by email at :
    [support@usebouncer.com](https://mailto:support@usebouncer.com)
  version: 1.0.0
servers:
  - url: https://api.usebouncer.com
security:
  - apikeyAuth: []
tags:
  - name: domain
    description: >-
      You can use Bouncer’s Domain Verification API to check domain information.


      It can be usefull to verify is domain has valid MX records and if it
      behaves as a "catch all" domain.
paths:
  /v1.1/email/verify/batch/{batchId}:
    get:
      tags:
        - batch
      summary: Check status
      description: Retrieve status of your request based on request id.
      operationId: getBatch
      parameters:
        - name: batchId
          in: path
          schema:
            type: string
          required: true
          description: batchId from create response
        - name: with-stats
          in: query
          schema:
            type: boolean
            default: false
          description: collect additional processing statistics
          example: true
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              examples:
                example-0:
                  summary: OK (processing)
                  value:
                    batchId: 4d5fdf6b5ee97c4dbbccbfe1
                    created: '2023-03-26T15:27:26.713Z'
                    started: '2023-03-26T15:27:30.124Z'
                    status: processing
                    quantity: 2
                    duplicates: 0
                example-1:
                  summary: OK (completed)
                  value:
                    batchId: 4d5fdf6b5ee97c4dbbccbfe1
                    created: '2023-03-26T15:27:26.713Z'
                    started: '2023-03-26T15:27:30.124Z'
                    completed: '2023-03-26T15:27:43.250Z'
                    status: completed
                    quantity: 2
                    duplicates: 0
                    credits: 2
                example-2:
                  summary: OK (completed with stats)
                  value:
                    batchId: 4d5fdf6b5ee97c4dbbccbfe1
                    created: '2023-03-26T15:27:26.713Z'
                    started: '2023-03-26T15:27:30.124Z'
                    completed: '2023-03-26T15:27:43.250Z'
                    status: completed
                    quantity: 2
                    duplicates: 0
                    credits: 2
                    processed: 2
                    stats:
                      deliverable: 1
                      risky: 0
                      undeliverable: 1
                      unknown: 0
        '404':
          description: Not Found
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                status: '404'
                error: Not Found
                message: request 1l2k3k4j5h does not exist
        '429':
          description: Too Many Requests
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                status: 429
                error: Too Many Requests
                message: too many requests
components:
  securitySchemes:
    apikeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````